@font-face {
  font-family: 'GilroyLight';
  src        : url('../src/fonts/Gilroy-Light.ttf');
}

@font-face {
  font-family: 'GilroyRegular';
  src        : url('../src/fonts/Gilroy-Regular.ttf');
}

@font-face {
  font-family: 'GilroyMedium';
  src        : url('../src/fonts/Gilroy-Medium.ttf');
}

@font-face {
  font-family: 'GilroySemiBold';
  src        : url('../src/fonts/Gilroy-SemiBold.ttf');
}

@font-face {
  font-family: 'GilroyBold';
  src        : url('../src/fonts/Gilroy-Bold.ttf');
}

@font-face {
  font-family: 'Neumann';
  src        : url('../src/fonts/td-neumann.otf');
}

$hoverColor     :#E96C0E;
$iconColor      :#8794B8;
$mainColor      :#171E30;
$borderColor    : #D1D6E3;
$lineColor      :#F0F3FA;
$gilroyLight    : 'GilroyLight';
$gilroyRegular  : 'GilroyRegular';
$gilroyMedium   : 'GilroyMedium';
$gilroySemiBold : 'GilroySemiBold';
$gilroyBold     : 'GilroyBold';
// 30px, 20px, 18px, 16px, 14px
$neumann        : 'Neumann';

header,
footer {
  font-family: $gilroyRegular;
}

h1,
h2,
blockquote:before {
  font-family: $neumann;
}

button {
  font-family: $gilroySemiBold;
}

.round__list {
  font-family: $gilroyLight;
}

h1,
h2 {
  font-weight: normal;
}

h2 {
  font-size  : 70px;
  line-height: 80px;
}

a,
button,
.round__list {
  font-size: 16px;
}

p {
  line-height: 20px;
}

// * {
// box-sizing: border-box;
// }

h1,
h2,
ul,
p,
blockquote {
  margin : 0;
  padding: 0;
}

ul {
  list-style-type: none;
}

input,
button {
  border: none;
}

input:focus,
button:focus {
  outline: none;
}

img {
  height    : auto;
  object-fit: contain;
}

::-webkit-scrollbar {
  width : 6px;
  height: 6px;
}

::-webkit-scrollbar-track {
  border-radius: 10px;
  background   : #DADCDD
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  box-shadow   : inset 0 0 6px rgba(0, 0, 0, .3);
  background   : #CCCECF;
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
}

// body * { scrollbar-width: none; } /* Firefox */

.section {
  max-width: 1160px;
  margin   : 0 auto;
  padding  : 0 10px;
}

.none {
  display: none;
}

.block,
.baseheader__list {
  display: block;
}

.grid {
  display: grid;
}

i,
.inlineblock,
::before,
::after,
footer nav a,
.call__buttons {
  display: inline-block;
}

.width100,
.grid {
  width: 100%;
}

header nav {
  white-space: nowrap;
}

a,
a:hover {
  text-decoration: none;
}

.flexcentbet {
  display        : flex;
  align-items    : center;
  justify-content: space-between;
}

.flexbasestart,
.round__list>li {
  display        : flex;
  align-items    : baseline;
  justify-content: flex-start;
}

.flexcolstartbet {
  display        : flex;
  flex-flow      : column;
  align-items    : flex-start;
  justify-content: space-between;
}

.flexstartbet,
#about {
  display        : flex;
  align-items    : flex-start;
  justify-content: space-between;
}

.flexstretchbet {
  display        : flex;
  align-items    : stretch;
  justify-content: space-between;
}

.flexcentstart {
  display        : flex;
  align-items    : center;
  justify-content: flex-start;
}

.flexcolcent {
  /**/
  display        : flex;
  flex-flow      : column;
  align-items    : center;
  justify-content: center;
}

.flexwrap {
  /**/
  flex-wrap: wrap;
}

.relative {
  position: relative;
}

.userselect {
  user-select: none;
}

.pointer,
button {
  cursor: pointer;
}

.email,
.call {
  width       : 14px;
  height      : 12px;
  margin-right: 6px;
  fill        : none;
}

.insta,
.facebook {
  width      : 35px;
  height     : 35px;
  margin-left: 15px;
  fill       : none;
  stroke     : white;
  transition : stroke .2s ease-in-out;
}

.insta:hover,
.facebook:hover {
  stroke: $hoverColor;
}

nav {
  color: $iconColor;
}

nav a,
h1,
button,
footer {
  color: white;
}

a:hover {
  color: $hoverColor;
}

.round__list svg {
  max-width   : 15px;
  min-width   : 15px;
  height      : 15px;
  margin-right: 15px;
  fill        : none;
}

a {
  transition: all .2s ease-in-out;
}

blockquote {
  font-style: italic;
}

blockquote:before {
  content   : "\201C";
  position  : absolute;
  font-size : 80px;
  font-style: normal;
}

body {

  button {
    position        : absolute;
    left            : 0;
    top             : 0;
    height          : 52px;
    background-image: linear-gradient(270deg, #E9760C 4.09%, #E62B1F 100%);
    box-shadow      : 0px 14px 6px rgba(21, 30, 53, 0.5);
    border-radius   : 25px;
    transition      : opacity .2s ease-in-out;
  }

  button:nth-of-type(2) {
    background: linear-gradient(270deg, #6583D5 4.09%, #1656E0 99.5%);
    opacity   : 0;
  }

  button:nth-of-type(2):hover {
    opacity: 1;
  }

  header {
    background     : url(../img/bg_header.png) center center no-repeat;
    background-size: cover;

    nav {
      padding-top: 45px;

      li:nth-child(-n+5)>a:link {
        padding      : 12px 22px;
        border       : 1px solid transparent;
        border-radius: 25px;
      }

      li:nth-child(-n+5)>a:hover {
        border-color: $hoverColor;
      }

      p {
        font-size  : 14px;
        line-height: 24px;
      }

    }

    h1 {
      margin-top: 160px;
      font-size : 110px;
    }

    blockquote {
      max-width  : 490px;
      margin-top : 80px;
      font-family: $gilroyRegular;
      font-size  : 18px;
      line-height: 24px;
      color      : $iconColor;
    }

    blockquote::before {
      top  : 0;
      left : 0;
      color: #515D7E;
    }

    .call__buttons {
      margin-top   : 60px;
      margin-bottom: 170px;
    }

    button {
      width: 260px;
    }
  }

  main {
    color: $mainColor;

    blockquote {
      border     : 1px solid $borderColor;
      font-family: $gilroyLight;
      line-height: 20px;
      background : #fff;
    }

    blockquote::before {
      top  : 45px;
      left : 20px;
      color: #C3C9DB;
    }

    blockquote::after {
      content   : "";
      position  : absolute;
      width     : 50px;
      height    : 35px;
      top       : -17px;
      right     : 30px;
      box-shadow: 1px -1px 0 0 #D1D6E3;
      transform : skewX(-20deg) skewY(-35deg);
      background: #fff;
    }

    p {
      font-size: 16px;
    }

    #about {
      padding-top: 80px;

      >article {
        max-width: 500px;

        h2 {
          margin-bottom: 30px;
        }

        .round__list {
          width        : 100%;
          margin-bottom: 20px;

          li {
            padding: 4px 4px 4px 0;
          }
        }

        .about__quote {
          margin-top   : 20px;
          margin-bottom: 60px;

          blockquote {
            padding: 6% 6% 6% 12%;
          }
        }
      }

      img {
        width : 580px;
        height: 680px;
      }
    }

    .career {
      padding   : 80px 0;
      background: $lineColor;

      img {
        margin-left : -35%;
        margin-right: 80px;
      }

      img,
      h2,
      p {
        margin-bottom: 20px;

        span {
          font-weight: bold;
        }
      }

      p {
        font-family: $gilroyMedium;
      }
    }

    .services {
      border-top: 2px solid $lineColor;

      h2 {
        margin-top: auto;
        margin-bottom: auto;
        padding: 20px 0;
      }

      h3 {
        margin-top   : 60px;
        margin-bottom: 20px;
        font-size    : 30px;
        font-family  : $gilroyRegular;
      }

      .section>div {
        flex       : 1 50%;
        display    : flex;
        flex-flow  : column;
        border-left: 2px solid $lineColor;

        .services__list {
          margin-left  : 40px;
          margin-bottom: auto;

          article {
            max-width: 55%;
          }

          li {
            padding: 4px 0;
          }

          img {
            position: absolute;
            top     : 0;
            right   : 0;
            width   : 287px;
            height  : 376px;
            z-index : -99;
          }

        }

        .services__call {
          margin-top   : 20px;
          margin-bottom: 50px;

          .services__contract {
            width                     : 41%;
            border-top-right-radius   : 25px;
            border-bottom-right-radius: 25px;
            background                : #F0F3FA;

            svg {
              width : 32px;
              height: 30px;
              margin: 10px auto;
            }

            p {
              margin-right: auto;
              font-family : $gilroyRegular;
            }
          }

          button {
            width     : 48%;
            height    : 50px;
            left      : unset;
            right     : 10px;
            box-shadow: unset;
          }
        }
      }

      .section>div:last-child {
        border-right  : 2px solid $lineColor;
      }


    }
  }

  footer {
    background: #223A72;

    nav ul {
      padding-top: 40px;
      margin-bottom: 70px;
      p {
        font-size: 14px;
        line-height: 24px;
      }
    } 

    >p {
      display: flex;
      justify-content: center;
      padding-bottom: 40px;
      font-size: 16px;
    }
  }
}

#contactModal {
  display   : none;
  position  : fixed;
  left      : 0;
  top       : 0;
  width     : 100%;
  height    : 100%;
  overflow  : auto;
  background: rgba(0, 0, 0, 0.4);
  z-index   : 9999;
}

#contactModal>div {
  width     : 560px;
  margin    : 5% auto;
  background: var(--white);
}

.aboutcontainer {
  background: linear-gradient(rgba(52, 52, 52, 0.19), rgba(52, 52, 52, 0.19)),
    url(../img/about.png) center center no-repeat;
  background-size: cover;
}


@media screen and (max-width: 1024px) {
  .none1024 {
    display: none;
  }

  .column1024 {
    flex-flow: column;
  }

  #about img {
    max-width : 100%;
    min-width : 100%;
    max-height: 100%;
    min-height: 100%;
  }

  body header h1 {
    font-size: 65px;
  }

  body main #about>article {
    max-width: 100%;
  }

  body main #about>article .about__quote {
    position: absolute;
    bottom  : 3%;
    width   : 80%;
    left    : 0;
    right   : 0;
    margin  : 0 auto;
  }

  body main blockquote::after {
    width    : 35px;
    height   : 30px;
    top      : -11px;
    transform: skewX(60deg) skewY(-35deg);
  }

  body main .services .section>div:last-child {
    border-top: 2px solid #F0F3FA;
  }

  body main .services .section>div:first-child {
    border-top  : 2px solid #F0F3FA;
    border-right: 2px solid #F0F3FA;
  }

  body main .services .section>div .services__list article {
    max-width: 100%;
}

  .services__list img {
    opacity: .2;
  }

}

@media screen and (max-width: 768px) {
  .column768 {
    flex-flow: column;
  }

  h2 {
    font-size  : 40px;
    line-height: 48px;
  }

  body main #about {
    padding-top: 20px;
  }

  blockquote,
  body main p,
  body header blockquote {
    font-size  : 14px;
    line-height: 16px;
  }

  blockquote:before {
    font-size: 60px;
  }

  body header blockquote::before {
    top : 0;
    left: 0;
  }

  body main blockquote::before {
    top : 30px;
    left: 10px;
  }

  body main #about>article .round__list, body footer>p {
    font-size  : 12px;
    line-height: 14px;
  }

  body main .career {
    padding: 40px 0;
  }

  body main .career img {
    margin-left : -35%;
    margin-right: unset;
    width       : 100%;
  }



  body footer nav ul {
    padding-top: 20px;
    margin-bottom: 20px;
}

body footer nav ul .facebook, body footer nav ul .insta {
  margin: 20px;
}

}

@media screen and (max-width: 580px) {
  body main #about img {
    width : 100%;
    height: 100%;
  }
}

